/* Quelle: http://www.sara-online.de/programmierecke/js/layerVisibility.html
*/

var openpanel = "";

function getLayerRef ( /* String */ id, 
                       /* optional HTML-Object */ document) {
  if (!document)
    document = window.document;
  if (document.layers) {
    for (var l = 0; l < document.layers.length; l++)
      if (document.layers[l].id == id)
        return document.layers[l];
    for (var l = 0; l < document.layers.length; l++) {
      var result = getLayerRef(id, document.layers[l].document);
      if (result)
        return result;
    }
    return null;
  } else if (document.all) {
    return document.all[id];
  } else if (document.getElementById) {
    return document.getElementById(id);
  }
}


function setVisibility( /* Layer */ objLayer, 
                        /* boolean */ visible ) {
  if(document.layers){
    objLayer.visibility  = 
        (visible == true) ? 'show' : 'hide';
  } else {
    objLayer.style.visibility = 
        (visible == true) ? 'visible' : 'hidden';
  }
}


function displayPanel( /* String */ id ) {
  if (openpanel != "") {
    setVisibility(getLayerRef(openpanel), false );
  }
  if (openpanel != id) {
    setVisibility(getLayerRef(id), true );
    openpanel = id;
  } else {
    setVisibility(getLayerRef(id), false );
    openpanel = "";  
  }
}  